Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class LOVField

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLFieldRendererImpl
            |
            +--oracle.jdeveloper.html.LOVField

public class LOVField
extends HTMLFieldRendererImpl

Represents a date field render.

Version:
  PUBLIC

Field Summary
`protected java.lang.String` | `dataAttribute`
`protected java.lang.String` | `displayAttributes`
`protected java.lang.String` | `viewObjectName`

Fields inherited from class oracle.jdeveloper.html.HTMLFieldRendererImpl
`nHeight, nLength, nWidth, sClass, sFormName, sName, sPrompt, sValue`

Constructor Summary
`LOVField()`

Method Summary
`java.lang.String` | `createLOVField(java.lang.String sName, java.lang.String sValue, java.lang.String sWidth, java.lang.String sMaxLength)`
`java.lang.String` | `getDataAttributes()`
`java.lang.String` | `getDisplayAttributes()`
`java.lang.String` | `getViewObject()`
`protected void` | `initializeFromRenderingContext(HTMLRenderingContext ctx)`
`java.lang.String` | `renderToString(HTMLRenderingContext ctx, RowSet rs, Row row, java.lang.String sAttribute)` This method is called when the field renderers are being used from the Tag library and from the DataWebBeans.
`void` | `setDataAttributes(java.lang.String dataAttr)`
`void` | `setDisplayAttributes(java.lang.String dAttributes)`
`void` | `setViewObject(java.lang.String voName)`

Methods inherited from class oracle.jdeveloper.html.HTMLFieldRendererImpl
`getCSSClassName, getDisplayHeight, getDisplayWidth, getFieldName, getFormName, getMaxDataLength, getPromptText, getValue, setCSSClassName, setDisplayHeight, setDisplayWidth, setFieldName, setFormName, setMaxDataLength, setPromptText, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewObjectName

    protected java.lang.String viewObjectName

### displayAttributes

    protected java.lang.String displayAttributes

### dataAttribute

    protected java.lang.String dataAttribute

Constructor Detail

### LOVField

    public LOVField()

Method Detail

### setViewObject

    public void setViewObject(java.lang.String voName)

### getViewObject

    public java.lang.String getViewObject()

### setDisplayAttributes

    public void setDisplayAttributes(java.lang.String dAttributes)

### getDisplayAttributes

    public java.lang.String getDisplayAttributes()

### setDataAttributes

    public void setDataAttributes(java.lang.String dataAttr)

### getDataAttributes

    public java.lang.String getDataAttributes()

### createLOVField

    public java.lang.String createLOVField(java.lang.String sName,
                                           java.lang.String sValue,
                                           java.lang.String sWidth,
                                           java.lang.String sMaxLength)

### initializeFromRenderingContext

    protected void initializeFromRenderingContext(HTMLRenderingContext ctx)

### renderToString

    public java.lang.String renderToString(HTMLRenderingContext ctx,
                                           RowSet rs,
                                           Row row,
                                           java.lang.String sAttribute)

  Description copied from interface: HTMLFieldRenderer
  This method is called when the field renderers are being used from the Tag library and from the DataWebBeans.
  Overrides:
    renderToString in class HTMLFieldRendererImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD